package com.platform.controller;

import com.platform.annotation.CanUserUpdateRecord;
import com.platform.entity.AdPositionEntity;
import com.platform.entity.Result;
import com.platform.service.AdPositionService;
import com.platform.utils.PageUtils;
import com.platform.utils.PageUtilsPlus;
import com.platform.utils.Query;

import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * Controller
 *
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-19 12:02:42
 */
@RestController
@RequestMapping("adposition")
public class AdPositionController {
    @Autowired
    private AdPositionService adPositionService;

    /**
     * 查看列表
     */
    @RequestMapping("/list")
    public Result list(@RequestBody Map<String, Object> params) {
        //查询列表数据
        Query query = new Query(params);

        List<AdPositionEntity> adPositionList = adPositionService.queryList(query);
        int total = adPositionService.queryTotal(query);

        PageUtils pageUtil = new PageUtils(adPositionList, total, query.getLimit(), query.getPage());

        return Result.success(PageUtilsPlus.page(adPositionList,(long)total,(long)query.getLimit(),(long)query.getPage()));
    }


    /**
     * 查看信息
     */
    @RequestMapping("/info")
    public Result info(@RequestParam("id") Integer id) {
        AdPositionEntity adPosition = adPositionService.queryObject(id);

        return Result.success(adPosition);
    }

    /**
     * 保存
     */
    @CanUserUpdateRecord
    @RequestMapping("/save")
    public Result save(@RequestBody AdPositionEntity adPosition) {
        adPositionService.save(adPosition);

        return Result.success();
    }

    /**
     * 修改
     */
    @CanUserUpdateRecord
    @RequestMapping("/update")
    public Result update(@RequestBody AdPositionEntity adPosition) {
        adPositionService.update(adPosition);

        return Result.success();
    }

    /**
     * 删除
     */
    @CanUserUpdateRecord
    @RequestMapping("/delete")
    public Result delete(@RequestBody Integer[] ids) {
        adPositionService.deleteBatch(ids);

        return Result.success();
    }

    /**
     * 查看所有列表
     */
    @RequestMapping("/queryAll")
    public Result queryAll(@RequestBody Map<String, Object> params) {

        List<AdPositionEntity> list = adPositionService.queryList(params);

        return Result.success( list);
    }
}
